Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
24.64.0.0
Broadcast address
24.95.255.255
First usable
24.64.0.1
Last usable
24.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 18400000 · Integer 406847488 to 408944639
Reverse DNS zones
64.24.in-addr.arpa
65.24.in-addr.arpa
66.24.in-addr.arpa
67.24.in-addr.arpa
68.24.in-addr.arpa
69.24.in-addr.arpa
70.24.in-addr.arpa
71.24.in-addr.arpa
72.24.in-addr.arpa
73.24.in-addr.arpa
74.24.in-addr.arpa
75.24.in-addr.arpa
76.24.in-addr.arpa
77.24.in-addr.arpa
78.24.in-addr.arpa
79.24.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.01000000.00000000.0000000024.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011000.01000000.00000000.0000000024.64.0.0
Broadcast00011000.01011111.11111111.1111111124.95.255.255
Split into smaller subnets/23

24.64.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.64.0.0/2324.64.0.1 to 24.64.1.25424.64.1.255510
224.64.2.0/2324.64.2.1 to 24.64.3.25424.64.3.255510
324.64.4.0/2324.64.4.1 to 24.64.5.25424.64.5.255510
424.64.6.0/2324.64.6.1 to 24.64.7.25424.64.7.255510
524.64.8.0/2324.64.8.1 to 24.64.9.25424.64.9.255510
624.64.10.0/2324.64.10.1 to 24.64.11.25424.64.11.255510
724.64.12.0/2324.64.12.1 to 24.64.13.25424.64.13.255510
824.64.14.0/2324.64.14.1 to 24.64.15.25424.64.15.255510
924.64.16.0/2324.64.16.1 to 24.64.17.25424.64.17.255510
1024.64.18.0/2324.64.18.1 to 24.64.19.25424.64.19.255510
1124.64.20.0/2324.64.20.1 to 24.64.21.25424.64.21.255510
1224.64.22.0/2324.64.22.1 to 24.64.23.25424.64.23.255510
1324.64.24.0/2324.64.24.1 to 24.64.25.25424.64.25.255510
1424.64.26.0/2324.64.26.1 to 24.64.27.25424.64.27.255510
1524.64.28.0/2324.64.28.1 to 24.64.29.25424.64.29.255510
1624.64.30.0/2324.64.30.1 to 24.64.31.25424.64.31.255510
1724.64.32.0/2324.64.32.1 to 24.64.33.25424.64.33.255510
1824.64.34.0/2324.64.34.1 to 24.64.35.25424.64.35.255510
1924.64.36.0/2324.64.36.1 to 24.64.37.25424.64.37.255510
2024.64.38.0/2324.64.38.1 to 24.64.39.25424.64.39.255510
2124.64.40.0/2324.64.40.1 to 24.64.41.25424.64.41.255510
2224.64.42.0/2324.64.42.1 to 24.64.43.25424.64.43.255510
2324.64.44.0/2324.64.44.1 to 24.64.45.25424.64.45.255510
2424.64.46.0/2324.64.46.1 to 24.64.47.25424.64.47.255510
2524.64.48.0/2324.64.48.1 to 24.64.49.25424.64.49.255510
2624.64.50.0/2324.64.50.1 to 24.64.51.25424.64.51.255510
2724.64.52.0/2324.64.52.1 to 24.64.53.25424.64.53.255510
2824.64.54.0/2324.64.54.1 to 24.64.55.25424.64.55.255510
2924.64.56.0/2324.64.56.1 to 24.64.57.25424.64.57.255510
3024.64.58.0/2324.64.58.1 to 24.64.59.25424.64.59.255510
3124.64.60.0/2324.64.60.1 to 24.64.61.25424.64.61.255510
3224.64.62.0/2324.64.62.1 to 24.64.63.25424.64.63.255510
3324.64.64.0/2324.64.64.1 to 24.64.65.25424.64.65.255510
3424.64.66.0/2324.64.66.1 to 24.64.67.25424.64.67.255510
3524.64.68.0/2324.64.68.1 to 24.64.69.25424.64.69.255510
3624.64.70.0/2324.64.70.1 to 24.64.71.25424.64.71.255510
3724.64.72.0/2324.64.72.1 to 24.64.73.25424.64.73.255510
3824.64.74.0/2324.64.74.1 to 24.64.75.25424.64.75.255510
3924.64.76.0/2324.64.76.1 to 24.64.77.25424.64.77.255510
4024.64.78.0/2324.64.78.1 to 24.64.79.25424.64.79.255510
4124.64.80.0/2324.64.80.1 to 24.64.81.25424.64.81.255510
4224.64.82.0/2324.64.82.1 to 24.64.83.25424.64.83.255510
4324.64.84.0/2324.64.84.1 to 24.64.85.25424.64.85.255510
4424.64.86.0/2324.64.86.1 to 24.64.87.25424.64.87.255510
4524.64.88.0/2324.64.88.1 to 24.64.89.25424.64.89.255510
4624.64.90.0/2324.64.90.1 to 24.64.91.25424.64.91.255510
4724.64.92.0/2324.64.92.1 to 24.64.93.25424.64.93.255510
4824.64.94.0/2324.64.94.1 to 24.64.95.25424.64.95.255510
4924.64.96.0/2324.64.96.1 to 24.64.97.25424.64.97.255510
5024.64.98.0/2324.64.98.1 to 24.64.99.25424.64.99.255510
5124.64.100.0/2324.64.100.1 to 24.64.101.25424.64.101.255510
5224.64.102.0/2324.64.102.1 to 24.64.103.25424.64.103.255510
5324.64.104.0/2324.64.104.1 to 24.64.105.25424.64.105.255510
5424.64.106.0/2324.64.106.1 to 24.64.107.25424.64.107.255510
5524.64.108.0/2324.64.108.1 to 24.64.109.25424.64.109.255510
5624.64.110.0/2324.64.110.1 to 24.64.111.25424.64.111.255510
5724.64.112.0/2324.64.112.1 to 24.64.113.25424.64.113.255510
5824.64.114.0/2324.64.114.1 to 24.64.115.25424.64.115.255510
5924.64.116.0/2324.64.116.1 to 24.64.117.25424.64.117.255510
6024.64.118.0/2324.64.118.1 to 24.64.119.25424.64.119.255510
6124.64.120.0/2324.64.120.1 to 24.64.121.25424.64.121.255510
6224.64.122.0/2324.64.122.1 to 24.64.123.25424.64.123.255510
6324.64.124.0/2324.64.124.1 to 24.64.125.25424.64.125.255510
6424.64.126.0/2324.64.126.1 to 24.64.127.25424.64.127.255510
6524.64.128.0/2324.64.128.1 to 24.64.129.25424.64.129.255510
6624.64.130.0/2324.64.130.1 to 24.64.131.25424.64.131.255510
6724.64.132.0/2324.64.132.1 to 24.64.133.25424.64.133.255510
6824.64.134.0/2324.64.134.1 to 24.64.135.25424.64.135.255510
6924.64.136.0/2324.64.136.1 to 24.64.137.25424.64.137.255510
7024.64.138.0/2324.64.138.1 to 24.64.139.25424.64.139.255510
7124.64.140.0/2324.64.140.1 to 24.64.141.25424.64.141.255510
7224.64.142.0/2324.64.142.1 to 24.64.143.25424.64.143.255510
7324.64.144.0/2324.64.144.1 to 24.64.145.25424.64.145.255510
7424.64.146.0/2324.64.146.1 to 24.64.147.25424.64.147.255510
7524.64.148.0/2324.64.148.1 to 24.64.149.25424.64.149.255510
7624.64.150.0/2324.64.150.1 to 24.64.151.25424.64.151.255510
7724.64.152.0/2324.64.152.1 to 24.64.153.25424.64.153.255510
7824.64.154.0/2324.64.154.1 to 24.64.155.25424.64.155.255510
7924.64.156.0/2324.64.156.1 to 24.64.157.25424.64.157.255510
8024.64.158.0/2324.64.158.1 to 24.64.159.25424.64.159.255510
8124.64.160.0/2324.64.160.1 to 24.64.161.25424.64.161.255510
8224.64.162.0/2324.64.162.1 to 24.64.163.25424.64.163.255510
8324.64.164.0/2324.64.164.1 to 24.64.165.25424.64.165.255510
8424.64.166.0/2324.64.166.1 to 24.64.167.25424.64.167.255510
8524.64.168.0/2324.64.168.1 to 24.64.169.25424.64.169.255510
8624.64.170.0/2324.64.170.1 to 24.64.171.25424.64.171.255510
8724.64.172.0/2324.64.172.1 to 24.64.173.25424.64.173.255510
8824.64.174.0/2324.64.174.1 to 24.64.175.25424.64.175.255510
8924.64.176.0/2324.64.176.1 to 24.64.177.25424.64.177.255510
9024.64.178.0/2324.64.178.1 to 24.64.179.25424.64.179.255510
9124.64.180.0/2324.64.180.1 to 24.64.181.25424.64.181.255510
9224.64.182.0/2324.64.182.1 to 24.64.183.25424.64.183.255510
9324.64.184.0/2324.64.184.1 to 24.64.185.25424.64.185.255510
9424.64.186.0/2324.64.186.1 to 24.64.187.25424.64.187.255510
9524.64.188.0/2324.64.188.1 to 24.64.189.25424.64.189.255510
9624.64.190.0/2324.64.190.1 to 24.64.191.25424.64.191.255510
9724.64.192.0/2324.64.192.1 to 24.64.193.25424.64.193.255510
9824.64.194.0/2324.64.194.1 to 24.64.195.25424.64.195.255510
9924.64.196.0/2324.64.196.1 to 24.64.197.25424.64.197.255510
10024.64.198.0/2324.64.198.1 to 24.64.199.25424.64.199.255510
10124.64.200.0/2324.64.200.1 to 24.64.201.25424.64.201.255510
10224.64.202.0/2324.64.202.1 to 24.64.203.25424.64.203.255510
10324.64.204.0/2324.64.204.1 to 24.64.205.25424.64.205.255510
10424.64.206.0/2324.64.206.1 to 24.64.207.25424.64.207.255510
10524.64.208.0/2324.64.208.1 to 24.64.209.25424.64.209.255510
10624.64.210.0/2324.64.210.1 to 24.64.211.25424.64.211.255510
10724.64.212.0/2324.64.212.1 to 24.64.213.25424.64.213.255510
10824.64.214.0/2324.64.214.1 to 24.64.215.25424.64.215.255510
10924.64.216.0/2324.64.216.1 to 24.64.217.25424.64.217.255510
11024.64.218.0/2324.64.218.1 to 24.64.219.25424.64.219.255510
11124.64.220.0/2324.64.220.1 to 24.64.221.25424.64.221.255510
11224.64.222.0/2324.64.222.1 to 24.64.223.25424.64.223.255510
11324.64.224.0/2324.64.224.1 to 24.64.225.25424.64.225.255510
11424.64.226.0/2324.64.226.1 to 24.64.227.25424.64.227.255510
11524.64.228.0/2324.64.228.1 to 24.64.229.25424.64.229.255510
11624.64.230.0/2324.64.230.1 to 24.64.231.25424.64.231.255510
11724.64.232.0/2324.64.232.1 to 24.64.233.25424.64.233.255510
11824.64.234.0/2324.64.234.1 to 24.64.235.25424.64.235.255510
11924.64.236.0/2324.64.236.1 to 24.64.237.25424.64.237.255510
12024.64.238.0/2324.64.238.1 to 24.64.239.25424.64.239.255510
12124.64.240.0/2324.64.240.1 to 24.64.241.25424.64.241.255510
12224.64.242.0/2324.64.242.1 to 24.64.243.25424.64.243.255510
12324.64.244.0/2324.64.244.1 to 24.64.245.25424.64.245.255510
12424.64.246.0/2324.64.246.1 to 24.64.247.25424.64.247.255510
12524.64.248.0/2324.64.248.1 to 24.64.249.25424.64.249.255510
12624.64.250.0/2324.64.250.1 to 24.64.251.25424.64.251.255510
12724.64.252.0/2324.64.252.1 to 24.64.253.25424.64.253.255510
12824.64.254.0/2324.64.254.1 to 24.64.255.25424.64.255.255510
12924.65.0.0/2324.65.0.1 to 24.65.1.25424.65.1.255510
13024.65.2.0/2324.65.2.1 to 24.65.3.25424.65.3.255510
13124.65.4.0/2324.65.4.1 to 24.65.5.25424.65.5.255510
13224.65.6.0/2324.65.6.1 to 24.65.7.25424.65.7.255510
13324.65.8.0/2324.65.8.1 to 24.65.9.25424.65.9.255510
13424.65.10.0/2324.65.10.1 to 24.65.11.25424.65.11.255510
13524.65.12.0/2324.65.12.1 to 24.65.13.25424.65.13.255510
13624.65.14.0/2324.65.14.1 to 24.65.15.25424.65.15.255510
13724.65.16.0/2324.65.16.1 to 24.65.17.25424.65.17.255510
13824.65.18.0/2324.65.18.1 to 24.65.19.25424.65.19.255510
13924.65.20.0/2324.65.20.1 to 24.65.21.25424.65.21.255510
14024.65.22.0/2324.65.22.1 to 24.65.23.25424.65.23.255510
14124.65.24.0/2324.65.24.1 to 24.65.25.25424.65.25.255510
14224.65.26.0/2324.65.26.1 to 24.65.27.25424.65.27.255510
14324.65.28.0/2324.65.28.1 to 24.65.29.25424.65.29.255510
14424.65.30.0/2324.65.30.1 to 24.65.31.25424.65.31.255510
14524.65.32.0/2324.65.32.1 to 24.65.33.25424.65.33.255510
14624.65.34.0/2324.65.34.1 to 24.65.35.25424.65.35.255510
14724.65.36.0/2324.65.36.1 to 24.65.37.25424.65.37.255510
14824.65.38.0/2324.65.38.1 to 24.65.39.25424.65.39.255510
14924.65.40.0/2324.65.40.1 to 24.65.41.25424.65.41.255510
15024.65.42.0/2324.65.42.1 to 24.65.43.25424.65.43.255510
15124.65.44.0/2324.65.44.1 to 24.65.45.25424.65.45.255510
15224.65.46.0/2324.65.46.1 to 24.65.47.25424.65.47.255510
15324.65.48.0/2324.65.48.1 to 24.65.49.25424.65.49.255510
15424.65.50.0/2324.65.50.1 to 24.65.51.25424.65.51.255510
15524.65.52.0/2324.65.52.1 to 24.65.53.25424.65.53.255510
15624.65.54.0/2324.65.54.1 to 24.65.55.25424.65.55.255510
15724.65.56.0/2324.65.56.1 to 24.65.57.25424.65.57.255510
15824.65.58.0/2324.65.58.1 to 24.65.59.25424.65.59.255510
15924.65.60.0/2324.65.60.1 to 24.65.61.25424.65.61.255510
16024.65.62.0/2324.65.62.1 to 24.65.63.25424.65.63.255510
16124.65.64.0/2324.65.64.1 to 24.65.65.25424.65.65.255510
16224.65.66.0/2324.65.66.1 to 24.65.67.25424.65.67.255510
16324.65.68.0/2324.65.68.1 to 24.65.69.25424.65.69.255510
16424.65.70.0/2324.65.70.1 to 24.65.71.25424.65.71.255510
16524.65.72.0/2324.65.72.1 to 24.65.73.25424.65.73.255510
16624.65.74.0/2324.65.74.1 to 24.65.75.25424.65.75.255510
16724.65.76.0/2324.65.76.1 to 24.65.77.25424.65.77.255510
16824.65.78.0/2324.65.78.1 to 24.65.79.25424.65.79.255510
16924.65.80.0/2324.65.80.1 to 24.65.81.25424.65.81.255510
17024.65.82.0/2324.65.82.1 to 24.65.83.25424.65.83.255510
17124.65.84.0/2324.65.84.1 to 24.65.85.25424.65.85.255510
17224.65.86.0/2324.65.86.1 to 24.65.87.25424.65.87.255510
17324.65.88.0/2324.65.88.1 to 24.65.89.25424.65.89.255510
17424.65.90.0/2324.65.90.1 to 24.65.91.25424.65.91.255510
17524.65.92.0/2324.65.92.1 to 24.65.93.25424.65.93.255510
17624.65.94.0/2324.65.94.1 to 24.65.95.25424.65.95.255510
17724.65.96.0/2324.65.96.1 to 24.65.97.25424.65.97.255510
17824.65.98.0/2324.65.98.1 to 24.65.99.25424.65.99.255510
17924.65.100.0/2324.65.100.1 to 24.65.101.25424.65.101.255510
18024.65.102.0/2324.65.102.1 to 24.65.103.25424.65.103.255510
18124.65.104.0/2324.65.104.1 to 24.65.105.25424.65.105.255510
18224.65.106.0/2324.65.106.1 to 24.65.107.25424.65.107.255510
18324.65.108.0/2324.65.108.1 to 24.65.109.25424.65.109.255510
18424.65.110.0/2324.65.110.1 to 24.65.111.25424.65.111.255510
18524.65.112.0/2324.65.112.1 to 24.65.113.25424.65.113.255510
18624.65.114.0/2324.65.114.1 to 24.65.115.25424.65.115.255510
18724.65.116.0/2324.65.116.1 to 24.65.117.25424.65.117.255510
18824.65.118.0/2324.65.118.1 to 24.65.119.25424.65.119.255510
18924.65.120.0/2324.65.120.1 to 24.65.121.25424.65.121.255510
19024.65.122.0/2324.65.122.1 to 24.65.123.25424.65.123.255510
19124.65.124.0/2324.65.124.1 to 24.65.125.25424.65.125.255510
19224.65.126.0/2324.65.126.1 to 24.65.127.25424.65.127.255510
19324.65.128.0/2324.65.128.1 to 24.65.129.25424.65.129.255510
19424.65.130.0/2324.65.130.1 to 24.65.131.25424.65.131.255510
19524.65.132.0/2324.65.132.1 to 24.65.133.25424.65.133.255510
19624.65.134.0/2324.65.134.1 to 24.65.135.25424.65.135.255510
19724.65.136.0/2324.65.136.1 to 24.65.137.25424.65.137.255510
19824.65.138.0/2324.65.138.1 to 24.65.139.25424.65.139.255510
19924.65.140.0/2324.65.140.1 to 24.65.141.25424.65.141.255510
20024.65.142.0/2324.65.142.1 to 24.65.143.25424.65.143.255510
20124.65.144.0/2324.65.144.1 to 24.65.145.25424.65.145.255510
20224.65.146.0/2324.65.146.1 to 24.65.147.25424.65.147.255510
20324.65.148.0/2324.65.148.1 to 24.65.149.25424.65.149.255510
20424.65.150.0/2324.65.150.1 to 24.65.151.25424.65.151.255510
20524.65.152.0/2324.65.152.1 to 24.65.153.25424.65.153.255510
20624.65.154.0/2324.65.154.1 to 24.65.155.25424.65.155.255510
20724.65.156.0/2324.65.156.1 to 24.65.157.25424.65.157.255510
20824.65.158.0/2324.65.158.1 to 24.65.159.25424.65.159.255510
20924.65.160.0/2324.65.160.1 to 24.65.161.25424.65.161.255510
21024.65.162.0/2324.65.162.1 to 24.65.163.25424.65.163.255510
21124.65.164.0/2324.65.164.1 to 24.65.165.25424.65.165.255510
21224.65.166.0/2324.65.166.1 to 24.65.167.25424.65.167.255510
21324.65.168.0/2324.65.168.1 to 24.65.169.25424.65.169.255510
21424.65.170.0/2324.65.170.1 to 24.65.171.25424.65.171.255510
21524.65.172.0/2324.65.172.1 to 24.65.173.25424.65.173.255510
21624.65.174.0/2324.65.174.1 to 24.65.175.25424.65.175.255510
21724.65.176.0/2324.65.176.1 to 24.65.177.25424.65.177.255510
21824.65.178.0/2324.65.178.1 to 24.65.179.25424.65.179.255510
21924.65.180.0/2324.65.180.1 to 24.65.181.25424.65.181.255510
22024.65.182.0/2324.65.182.1 to 24.65.183.25424.65.183.255510
22124.65.184.0/2324.65.184.1 to 24.65.185.25424.65.185.255510
22224.65.186.0/2324.65.186.1 to 24.65.187.25424.65.187.255510
22324.65.188.0/2324.65.188.1 to 24.65.189.25424.65.189.255510
22424.65.190.0/2324.65.190.1 to 24.65.191.25424.65.191.255510
22524.65.192.0/2324.65.192.1 to 24.65.193.25424.65.193.255510
22624.65.194.0/2324.65.194.1 to 24.65.195.25424.65.195.255510
22724.65.196.0/2324.65.196.1 to 24.65.197.25424.65.197.255510
22824.65.198.0/2324.65.198.1 to 24.65.199.25424.65.199.255510
22924.65.200.0/2324.65.200.1 to 24.65.201.25424.65.201.255510
23024.65.202.0/2324.65.202.1 to 24.65.203.25424.65.203.255510
23124.65.204.0/2324.65.204.1 to 24.65.205.25424.65.205.255510
23224.65.206.0/2324.65.206.1 to 24.65.207.25424.65.207.255510
23324.65.208.0/2324.65.208.1 to 24.65.209.25424.65.209.255510
23424.65.210.0/2324.65.210.1 to 24.65.211.25424.65.211.255510
23524.65.212.0/2324.65.212.1 to 24.65.213.25424.65.213.255510
23624.65.214.0/2324.65.214.1 to 24.65.215.25424.65.215.255510
23724.65.216.0/2324.65.216.1 to 24.65.217.25424.65.217.255510
23824.65.218.0/2324.65.218.1 to 24.65.219.25424.65.219.255510
23924.65.220.0/2324.65.220.1 to 24.65.221.25424.65.221.255510
24024.65.222.0/2324.65.222.1 to 24.65.223.25424.65.223.255510
24124.65.224.0/2324.65.224.1 to 24.65.225.25424.65.225.255510
24224.65.226.0/2324.65.226.1 to 24.65.227.25424.65.227.255510
24324.65.228.0/2324.65.228.1 to 24.65.229.25424.65.229.255510
24424.65.230.0/2324.65.230.1 to 24.65.231.25424.65.231.255510
24524.65.232.0/2324.65.232.1 to 24.65.233.25424.65.233.255510
24624.65.234.0/2324.65.234.1 to 24.65.235.25424.65.235.255510
24724.65.236.0/2324.65.236.1 to 24.65.237.25424.65.237.255510
24824.65.238.0/2324.65.238.1 to 24.65.239.25424.65.239.255510
24924.65.240.0/2324.65.240.1 to 24.65.241.25424.65.241.255510
25024.65.242.0/2324.65.242.1 to 24.65.243.25424.65.243.255510
25124.65.244.0/2324.65.244.1 to 24.65.245.25424.65.245.255510
25224.65.246.0/2324.65.246.1 to 24.65.247.25424.65.247.255510
25324.65.248.0/2324.65.248.1 to 24.65.249.25424.65.249.255510
25424.65.250.0/2324.65.250.1 to 24.65.251.25424.65.251.255510
25524.65.252.0/2324.65.252.1 to 24.65.253.25424.65.253.255510
25624.65.254.0/2324.65.254.1 to 24.65.255.25424.65.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses